/* (C) 2002 by Artem Dmytrenko

   Permission is given to anyone affiliated with 
   ICFP Programming Contest to publish some or all 
   of the source herein in any way shape or form
*/

#ifndef GAME_H_INCLUDED
#define GAME_H_INCLUDED

#include "main.h"
#include <string.h>

extern int board_width;
extern int board_height;

extern char **board;
extern int **dist_board;

extern int bot_id;
extern int bot_capacity;
extern int bot_money;

struct package; 
struct robot;

struct target;

extern struct robot *bots;
extern int number_of_bots;

int start_game();
int get_board();
int get_bot_config();
int process_move();
int count_bots(char *);

int generate_move();
int check_nearby_bots(int x, int y, int kill_bet);


/*int insert_pack(struct package pack); */
int remove_pack(int id);
int get_package_list();

struct target* get_closest_target(struct target *targets, int x, int y);
void flood_fill(int src_x, int src_y, int dest_x, int dest_y, int len);
int bot_present(int x, int y);

char **allocate_board();
void deallocate_board(char **);

int **allocate_dist_board();
void deallocate_dist_board(int **);

void clean_up();

void print_board();

#endif
