/* (C) 2002 by Artem Dmytrenko

   Permission is given to anyone affiliated with 
   ICFP Programming Contest to publish some or all 
   of the source herein in any way shape or form
*/

#include "main.h"

int main (int argc, char *argv[])
{
  char *hostname = NULL;
  int port = 0;

  if (argc != 3)
  {
    printf ("Usage: %s hostname port\n", argv[0]);
    return -1;
  }

  hostname = argv[1];
  port = atoi(argv[2]);

  printf("Hostname: %s\nPort: %i\n", hostname, port);

  if (!connect_to_game_server(hostname, port))
  {
    printf("Aborting game...\n");
    return 1;
  }

  if (!start_game())
    printf("Aborting game...\n");

  disconnect_from_game_server();
  clean_up_read_buffer();

  return 0;
}
